.alert {
  padding:       15px;
  margin-bottom: 20px;
  border:        1px solid transparent;
  border-radius: 4px;

  h4 {
    margin-top: 0;
    color:      inherit;
  }

  .alert-link {
    font-weight: bold;
  }

  > {
    p, ul {
      margin-bottom: 0;
    }

    p + p {
      margin-top: 5px;
    }
  }
}

.alert-dismissable, .alert-dismissible {
  padding-right: 35px;
}

.alert-dismissable .close, .alert-dismissible .close {
  position: relative;
  top:      -2px;
  right:    -21px;
  color:    inherit;
}

.alert-success {
  background-color: #DFF0D8;
  border-color:     #D6E9C6;
  color:            #3C763D;

  hr {
    border-top-color: #C9E2B3;
  }

  .alert-link {
    color: #2B542C;
  }
}

.alert-info {
  background-color: #D9EDF7;
  border-color:     #BCE8F1;
  color:            #31708F;

  hr {
    border-top-color: #A6E1EC;
  }

  .alert-link {
    color: #245269;
  }
}

.alert-warning {
  background-color: #FCF8E3;
  border-color:     #FAEBCC;
  color:            #8A6D3B;

  hr {
    border-top-color: #F7E1B5;
  }

  .alert-link {
    color: #66512C;
  }
}

.alert-danger {
  background-color: #F2DEDE;
  border-color:     #EBCCD1;
  color:            #A94442;

  hr {
    border-top-color: #E4B9C0;
  }

  .alert-link {
    color: #843534;
  }

  a {
    text-decoration: underline;
    cursor:          pointer;
    color:           rgb(0, 0, 238);
  }
}
